





execute as @a at @s store result score @s Random run random value 1..10

execute as @e[tag=large] at @s store result score @s Random run random value 1..10
execute as @e[tag=small] at @s store result score @s Random run random value 1..10

#This is for spawnpoint
execute as @e[tag=Spawn] at @s run spawnpoint @a ~ ~ ~





#THis is for loot tables
execute as @a at @s run scoreboard players set @s Luck 10
execute as @a at @s store result score @s Luck2 run random value 1..10
execute as @a at @s store result score @s Luck3 run random value 1..2

#This is to run the other functions

function dungeon:health


#This is to kill not needed items
kill @e[type=item,nbt={ Item:{ id:"minecraft:rotten_flesh"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:bone"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:spider_eye"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:iron_ingot"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:poppy"}}]
kill @e[type=experience_orb]
kill @e[type=item,nbt={ Item:{ id:"minecraft:carrot"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:potato"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:gold_block"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:raw_gold_block"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:light_weighted_pressure_plate"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:stone_button"}}]
kill @e[type=item,nbt={ Item:{ id:"minecraft:stone_pressure_plate"}}]

#This is for large dungeon unlocks
execute as @e[type=item,nbt={Item:{tag:{Tags:["key"]}}}] at @s run execute as @e[tag=large, distance=..2,limit=1,sort=nearest] at @s if block ^ ^1 ^1 air if block ^ ^1 ^2 air if block ^ ^1 ^3 air if block ^ ^1 ^4 air if block ^ ^1 ^5 air if block ^ ^1 ^6 air if block ^ ^1 ^7 air if block ^ ^1 ^8 air if block ^ ^1 ^9 air if block ^ ^1 ^10 air if block ^ ^1 ^11 air run function dungeon:largeroom
execute as @e[type=item,nbt={Item:{tag:{Tags:["key"]}}}] at @s run execute as @e[tag=large, distance=..2,limit=1,sort=nearest] at @s if block ^ ^1 ^1 air if block ^ ^1 ^2 air if block ^ ^1 ^3 air if block ^ ^1 ^4 air if block ^ ^1 ^5 air if block ^ ^1 ^6 air if block ^ ^1 ^7 air if block ^ ^1 ^8 air if block ^ ^1 ^9 air if block ^ ^1 ^10 air if block ^ ^1 ^11 air run execute as @p at @s run scoreboard players add @s Key 1

execute as @e[type=item,nbt={Item:{tag:{Tags:["key"]}}}] at @s run execute as @e[tag=small, distance=..2,limit=1,sort=nearest] at @s if block ^ ^1 ^1 air if block ^ ^1 ^2 air if block ^ ^1 ^3 air if block ^ ^1 ^4 air if block ^ ^1 ^5 air if block ^ ^1 ^6 air if block ^ ^1 ^7 air if block ^ ^1 ^8 air if block ^ ^1 ^9 air if block ^ ^1 ^10 air if block ^ ^1 ^11 air run function dungeon:smallroom
execute as @e[type=item,nbt={Item:{tag:{Tags:["key"]}}}] at @s run execute as @e[tag=small, distance=..2,limit=1,sort=nearest] at @s if block ^ ^1 ^1 air if block ^ ^1 ^2 air if block ^ ^1 ^3 air if block ^ ^1 ^4 air if block ^ ^1 ^5 air if block ^ ^1 ^6 air if block ^ ^1 ^7 air if block ^ ^1 ^8 air if block ^ ^1 ^9 air if block ^ ^1 ^10 air if block ^ ^1 ^11 air run execute as @p at @s run scoreboard players add @s Key 1

#This is for the dungeon spikes
execute as @a at @s if block ~ ~ ~ dead_horn_coral run scoreboard players remove @s Health 1
execute as @a at @s if block ~ ~ ~ dead_horn_coral run playsound entity.player.hurt record @a[distance=..6] ~ ~ ~ 5 2 1

#This is some extra effects
effect give @a saturation infinite 1 true
effect give @a instant_health infinite 1 true

#This is for particles in main room
execute as @e[tag=particle] at @s run particle firework ~ ~1 ~ 5 1 5 .01 1 normal

#This is for clear slot
item replace entity @a inventory.8 with air

#This is starter gear and setup

execute as @a at @s unless entity @s[tag=start] run stopsound @s
execute as @a at @s unless entity @s[tag=start] run scoreboard players set @s MinedGold 0
execute as @a at @s unless entity @s[tag=start] run scoreboard players set @s MinedGold2 0
execute as @a at @s unless entity @s[tag=start] run execute unless entity @e[type=armor_stand] run place template dungeon:starterroom ~ ~ ~
execute as @a at @s unless entity @s[tag=start] run gamemode adventure @s
execute as @a at @s unless entity @s[tag=start] run tp @s @e[tag=Spawn2,limit=1,sort=nearest]
execute as @a at @s unless entity @s[tag=start] run give @s carrot_on_a_stick{Unbreakable:1,CustomModelData:5,Tags:["r0","sword3"],AttributeModifiers:[{AttributeName:"generic.attack_damage",Amount:6,Slot:mainhand,Name:"generic.attack_damage",UUID:[I;-124027,49585,71331,-99170]}],display:{Name:'[{"text":"Adventeror\'s Blade","italic":false,"color":"white"}]',Lore:['[{"text":"Damage: ","italic":false,"color":"gray"},{"text":"6","color":"red"},{"text":"","color":"dark_purple"}]','[{"text":"Strength: ","italic":false,"color":"gray"},{"text":"3","color":"red"},{"text":"","color":"dark_purple"}]','[{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Special Ability: ","italic":false,"color":"gold"},{"text":"Blood Thirsty","color":"yellow","bold":true},{"text":"","color":"dark_purple","bold":false}]','[{"text":"Right click to gain strength","italic":false,"color":"gray"}]','[{"text":"to power over mobs.","italic":false,"color":"gray"}]','[{"text":"Mana Cost: ","italic":false,"color":"gray"},{"text":"35","color":"aqua"},{"text":"","color":"dark_purple"}]','[{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"The start to a wonder","italic":false,"color":"dark_gray"}]','[{"text":"and never ending journey.","italic":false,"color":"dark_gray"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Common","italic":false,"color":"white","bold":true}]']},HideFlags:6} 1
execute as @a at @s unless entity @s[tag=start] run give @s chainmail_boots{Trim:{pattern:start,material:amethyst},display:{Name:'["",{"text":"Adventeror\'s Boots","italic":false,"color":"white"}]',Lore:['["",{"text":"Health: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','["",{"text":"Defense: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','["",{"text":"Mana: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','[""]','["",{"text":"Special Ability:","italic":false,"color":"gold"},{"text":" ","italic":false,"color":"gray"},{"text":"Dark be Gone","italic":false,"color":"yellow","bold":true}]','["",{"text":"See the darkness brightly","italic":false,"color":"gray"}]','["",{"text":"when wearing this armorset.","italic":false,"color":"gray"}]','[""]','["",{"text":"Start to a never ending","italic":false,"color":"dark_gray"}]','["",{"text":"journy, oh well.","italic":false,"color":"dark_gray"}]','[""]','["",{"text":"Common","italic":false,"color":"white","bold":true}]']},Unbreakable:1,CustomModelData:2,Tags:["armor6","r0"],HideFlags:134}
execute as @a at @s unless entity @s[tag=start] run give @s chainmail_leggings{Trim:{pattern:start,material:amethyst},display:{Name:'["",{"text":"Adventeror\'s Leggings","italic":false,"color":"white"}]',Lore:['["",{"text":"Health: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','["",{"text":"Defense: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','["",{"text":"Mana: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','[""]','["",{"text":"Special Ability:","italic":false,"color":"gold"},{"text":" ","italic":false,"color":"gray"},{"text":"Dark be Gone","italic":false,"color":"yellow","bold":true}]','["",{"text":"See the darkness brightly","italic":false,"color":"gray"}]','["",{"text":"when wearing this armorset.","italic":false,"color":"gray"}]','[""]','["",{"text":"Start to a never ending","italic":false,"color":"dark_gray"}]','["",{"text":"journy, oh well.","italic":false,"color":"dark_gray"}]','[""]','["",{"text":"Common","italic":false,"color":"white","bold":true}]']},Unbreakable:1,CustomModelData:2,Tags:["armor7","r0"],HideFlags:134}
execute as @a at @s unless entity @s[tag=start] run give @s chainmail_chestplate{Trim:{pattern:start,material:amethyst},display:{Name:'["",{"text":"Adventeror\'s Chestplate","italic":false,"color":"white"}]',Lore:['["",{"text":"Health: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','["",{"text":"Defense: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','["",{"text":"Mana: ","italic":false,"color":"gray"},{"text":"10","italic":false,"color":"red"}]','[""]','["",{"text":"Special Ability:","italic":false,"color":"gold"},{"text":" ","italic":false,"color":"gray"},{"text":"Dark be Gone","italic":false,"color":"yellow","bold":true}]','["",{"text":"See the darkness brightly","italic":false,"color":"gray"}]','["",{"text":"when wearing this armorset.","italic":false,"color":"gray"}]','[""]','["",{"text":"Start to a never ending","italic":false,"color":"dark_gray"}]','["",{"text":"journy, oh well.","italic":false,"color":"dark_gray"}]','[""]','["",{"text":"Common","italic":false,"color":"white","bold":true}]']},Unbreakable:1,CustomModelData:2,Tags:["armor8","r0"],HideFlags:134}
execute as @a at @s unless entity @s[tag=start] run tellraw @s ["",{"text":"<GameMaster> Hello adventurer, Your journey awaits.","color":"gold"}]
execute as @a at @s unless entity @s[tag=start] run playsound entity.player.breath record @s ~ ~ ~ 10000 1 1
execute as @a at @s unless entity @s[tag=start] run advancement grant Trentity3 only dungeon:root
execute as @a at @s unless entity @s[tag=start] run playsound music.credits record @s ~ ~ ~ 10000 1 1
execute as @a at @s unless entity @s[tag=start] run give @s emerald{CustomModelData:1,Tags:["key"],display:{Name:'[{"text":"Dungeon Key","italic":false}]',Lore:['[{"text":"Drop near doors","italic":false,"color":"gray"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Open more doors with","italic":false,"color":"dark_gray"}]','[{"text":"this simple tool!","italic":false,"color":"dark_gray"},{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"","italic":false,"color":"dark_purple"}]','[{"text":"Common","italic":false,"color":"white","bold":true}]']}} 5



execute as @a at @s unless entity @s[tag=start] run tag @s add start


#This is for Rotation of Magic Circles

execute as @e[tag=circle] at @s run tp @s ~ ~ ~ ~2 ~


#This is for bleeding mobs
execute as @e[tag=bleeding] at @s run effect give @s wither 10 0 true


#This is for death health reset

execute as @a[scores={Death=1..}] at @s run scoreboard players add @s Health 100000
execute as @a[scores={Death=1..}] at @s run scoreboard players add @s Mana 100000
execute as @a[scores={Death=1..}] at @s run scoreboard players add @s Defense 100000
execute as @a[scores={Death=1..}] at @s run scoreboard players set @s Death 0

execute as @a[scores={Sprint=1..}] at @s run scoreboard players set @s Sprint 0
execute as @e[nbt={ HasVisualFire:true}] at @s run damage @s 1 on_fire

#This is for poison dmg loading


#This is for the bee agro on people
data modify entity @e[type=bee,limit=1,sort=random] AngryAt set from entity @a[limit=1,sort=random] UUID
data modify entity @e[type=bee,limit=1,sort=random] AngerTime set value 100
data modify entity @e[type=bee,limit=1,sort=random] HasStung set value 0